//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLabelPane:
//   Displays output of the label command either read-only or in a form

#ifndef p4wLabelPane_H
#define p4wLabelPane_H

#include "p4wSpecPane.h"

class StrDict;


class p4wLabelPane : public p4wSpecPane {

public:

	p4wLabelPane( p4wView & ParentView, p4wRequest & Request, int isForm );
	virtual	~p4wLabelPane();

	//
	// Overrides for spec panes.

	virtual	int IgnoreField( const char * field );
	virtual	int CustomField( const char * field, StrDict * varList,
		int len = 0, SpecElem *se = NULL );
		
	virtual void	GetAction( StrBuf & actionURL );
	virtual void	RenderInfo( char *data, char level );
};

#endif // p4wLabelPane_H
